Skip to main content
GET
Get a Refund

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

X-Account-Id
string
required

Unique identifier of the Midaz Ledger Account (UUID format)

Path Parameters

refund_id
string
required

Refund ID (UUID format)

Response

OK

accountId
string
required
Example:

"01989f9e-6508-79f8-9540-835be49fbd0d"

amount
string
required
Example:

"100.50"

createdAt
string
required
Example:

"2024-01-15T10:30:00Z"

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440001"

originalEndToEndId
string
required
Example:

"E12345678202411241430ABCDEFGHIJK"

returnEndToEndId
string
required
Example:

"D3030629420200808185300887639654"

status
enum<string>
required
Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
CANCELLED
Example:

"PENDING"

type
enum<string>
required
Available options:
CASHOUT,
CASHIN
Example:

"CASHOUT"

updatedAt
string
required
Example:

"2024-01-15T10:30:00Z"

deletedAt
string
description
string
Example:

"Customer reported unauthorized transaction"

ledger
object
metadata
object